Bloss Docs

Streak Survivor in a brand

Developers
GET
/creator/brands/{brandId}/games

The brand's active Streak Survivor game, if any (prize pool, day, lives, posts required per day) with your own standing in it, and the past games. As on your Streak Survivor page.

Authorization

bearerAuth creator:read
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: creator:read

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Response Body

Success.

application/json
  1. response
active*|

Null when no game is running.

past*array<>
curl -X GET 'https://example.com/api/v1/creator/brands/string/games'
{  "active": {    "id": "string",    "title": "string",    "description": "string",    "prizePool": 0,    "currentDay": 0,    "startingLives": 0,    "minPostsPerDay": 0,    "startDate": "string",    "endDate": "string",    "me": {      "lives": 0,      "isEliminated": true,      "eliminatedOnDay": 0,      "currentStreak": 0,      "longestStreak": 0,      "totalPosts": 0,      "lastPostDate": "string"    }  },  "past": [    {      "id": "string",      "title": "string",      "prizePool": 0,      "endDate": "string"    }  ]}

Was this page helpful?